### Method

# Xdp Portal set_background_status

#### Declaration [src]

    void
    xdp_portal_set_background_status (
      XdpPortal* portal,
      const char* status_message,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Sets the status information of the application, for when it’s running in background.

#### Parameters

`status_message`

  Type: `const char*`

  Status message when running in background.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the request is done.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.